/*
 * Data transfer library, for all browsers
 * AD 27.03.2012 (C) Barix AG
 *
 * IE <= 9 must use the old way to get data, and
 * needs string congersion to byte array.
 *
 */

var isIE=0;

/*@cc_on
 @if (@_jscript_version == 10)
	isIE=10;
 @else
	// old way to go
	isIE=1;
 @end
@*/

var xmlhttp=false;
var ByteMapping = {};

// get best/appropriate xmlhttprequest object
if (isIE) {
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
			xmlhttp = false;
		}
	}
} else {
	xmlhttp = false;
}
// now go with std (non IE) xmlhttp
if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
	try {
		xmlhttp = new XMLHttpRequest();
	} catch (e) {
		xmlhttp = false;
	}
}

// data binary support for IE < 10
if (isIE<10) {
	var IEBinaryToArray_ByteStr_Script = 
	"<!-- IEBinaryToArray_ByteStr -->\r\n"+
	"<script type='text/vbscript'>\r\n"+
	"Function IEBinaryToArray_ByteStr(Binary)\r\n"+
	"	IEBinaryToArray_ByteStr = CStr(Binary)\r\n"+
	"End Function\r\n"+
	"Function IEBinaryToArray_ByteStr_Last(Binary)\r\n"+
	"	Dim lastIndex\r\n"+
	"	lastIndex = LenB(Binary)\r\n"+
	"	if lastIndex mod 2 Then\r\n"+
	"		IEBinaryToArray_ByteStr_Last = Chr( AscB( MidB( Binary, lastIndex, 1 ) ) )\r\n"+
	"	Else\r\n"+
	"		IEBinaryToArray_ByteStr_Last = "+'""'+"\r\n"+
	"	End If\r\n"+
	"End Function\r\n"+
	"</script>\r\n";
	document.write(IEBinaryToArray_ByteStr_Script);
	/* bytemapping once for all */
	for ( var i = 0; i < 256; i++ ) {
		for ( var j = 0; j < 256; j++ ) {
			ByteMapping[ String.fromCharCode( i + j * 256 ) ] = 
				String.fromCharCode(i) + String.fromCharCode(j);
		}
	}
}

function GetIEByteArray_ByteStr(IEByteArray) {
	var rawBytes = IEBinaryToArray_ByteStr(IEByteArray);
	var lastChr = IEBinaryToArray_ByteStr_Last(IEByteArray);
	return rawBytes.replace(/[\s\S]/g, 
		function( match ) { return ByteMapping[match]; }) + lastChr;
}